#ifndef GAME_MWMECHANICS_DUMPUTILS_H
#define GAME_MWMECHANICS_DUMPUTILS_H

#include "aipackage.hpp"

#include "pathfinding.hpp"

namespace ESM
{
namespace AiSequence
{
    struct AiTravel;
}
}

namespace MWMechanics
{
    /// \brief Causes the AI to travel to the specified point
    class DumpUtils
    {
        public:
            static bool isWantedActor(const MWWorld::Ptr& actor, const std::string& wantedActorName);
            static void dumpPathGrid(const MWWorld::Ptr& actor, const std::string& wantedActorName);
            static void dumpPathGrid(const ESM::Pathgrid * pathGrid);

            static void dumpActorPosition(const MWWorld::Ptr& actor, const PathFinder& mPathFinder, const std::string& wantedActorName);

    private:
        static const ESM::Cell* DumpUtils::getActorsCell(const MWWorld::Ptr& actor);
        static void DumpUtils::ToCellCoordinates(osg::Vec3f& pos, const ESM::Cell * cell);

        static bool gridDumped;
    };
}

#endif
